Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface ActionContainer<T extends Action>

All Superinterfaces:
  Bounded, EventSource, NamedObject, NamedObjectContainer<T>, Serializable

All Known Subinterfaces:
  ConstructorContainer, Step

    public interface ActionContainer<T extends Action>

extends NamedObjectContainer<T>, NamedObject, Bounded, Serializable

Represents a container that can hold actions. Step and ConstructorContainer are examples of this.

Nested Class Summary
`static interface` | `ActionContainer.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`Action` | `getAction(String name)`
`String[]` | `getActionNames()`
`List<ActionConnector>` | `getSourceActionConnectors()`
`TaskPlan` | `getTaskPlan()` Get the parent TaskPlan for this container.
`void` | `moveAction(String name, int newIndex)` Will move the action with the given name from its old position, to the new indicated position.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObjectContainer
`addChild, addChild, clear, getChild, getChildNames, getChildObjects, hasChild, removeChild, renameChild`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Bounded
`getBounds, setBounds`

Method Detail

### getTaskPlan

    TaskPlan getTaskPlan()

  Get the parent TaskPlan for this container. Should never be null.

### getActionNames

    String[] getActionNames()

### getAction

    Action getAction(String name)
                     throws UnknownObjectException

  Throws:
    `UnknownObjectException`

### moveAction

    void moveAction(String name,
                    int newIndex)

  Will move the action with the given name from its old position, to the new indicated position. All actions at index greater than or equal to the new index will be pushed down to the next sequential index.

  Parameters:
    `name` - Name of the action to be moved.
    `newIndex` - New target index for the action. If this index is greater than the number of actions in this container, a value of size-1 is assumed, and the action is moved to the end of the action collection. If the value of newIndex is less than 0, a value of 0 is assumed, and the action will be moved to the beginning of the action collection.

### getSourceActionConnectors

    List<ActionConnector> getSourceActionConnectors()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD